Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ClusterNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.sun.messaging.jms.management.server.MQNotification
                  com.sun.messaging.jms.management.server.ClusterNotification

All Implemented Interfaces:
  Serializable

    public class ClusterNotification

extends MQNotification

Class containing information on cluster related notifications.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

Field Summary
`static String` | `CLUSTER_BROKER_DOWN` A broker in the cluster has gone down
`static String` | `CLUSTER_BROKER_JOIN` A broker joined the cluster.

Fields inherited from class com.sun.messaging.jms.management.server.MQNotification
`PREFIX`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`ClusterNotification(String type, Object source, long sequenceNumber)` Creates a ClusterNotification object.

Method Summary
`String` | `getBrokerAddress()`
`String` | `getBrokerID()`
`String` | `getClusterID()`
`boolean` | `isHighlyAvailable()`
`boolean` | `isMasterBroker()`
`void` | `setBrokerAddress(String brokerAddress)`
`void` | `setBrokerID(String brokerID)`
`void` | `setClusterID(String clusterID)`
`void` | `setHighlyAvailable(boolean highlyAvailable)`
`void` | `setMasterBroker(boolean isMaster)`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTER_BROKER_DOWN

    public static final String CLUSTER_BROKER_DOWN

  A broker in the cluster has gone down

  See Also:
    Constant Field Values

### CLUSTER_BROKER_JOIN

    public static final String CLUSTER_BROKER_JOIN

  A broker joined the cluster.

  See Also:
    Constant Field Values

Constructor Detail

### ClusterNotification

    public ClusterNotification(String type,
                               Object source,
                               long sequenceNumber)

  Creates a ClusterNotification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

Method Detail

### setBrokerID

    public void setBrokerID(String brokerID)

### getBrokerID

    public String getBrokerID()

### setBrokerAddress

    public void setBrokerAddress(String brokerAddress)

### getBrokerAddress

    public String getBrokerAddress()

### setClusterID

    public void setClusterID(String clusterID)

### getClusterID

    public String getClusterID()

### setHighlyAvailable

    public void setHighlyAvailable(boolean highlyAvailable)

### isHighlyAvailable

    public boolean isHighlyAvailable()

### setMasterBroker

    public void setMasterBroker(boolean isMaster)

### isMasterBroker

    public boolean isMasterBroker()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.